=== debian/changelog ===
avldrums.lv2 (0.4.1-0ubuntu1) focal; urgency=medium

  [ Erich Eickmeyer ]
  * Initial Release

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 16 Nov 2019 11:12:19 -0800
