=== debian/control ===
Source: avldrums.lv2
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 11),
 pkg-config,
 libftgl-dev,
 lv2-dev,
 libcairo2-dev,
 libpango1.0-dev
Standards-Version: 4.4.0
Vcs-Git: https://github.com/x42/avldrums.lv2.git
Vcs-Browser: https://github.com/x42/avldrums.lv2
Homepage: https://github.com/x42/avldrums.lv2

Package: avldrums.lv2
Architecture: amd64 arm64 armhf i386
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 avldrums.lv2-data (= ${source:Version})
Provides:
 lv2-plugin, vst-plugin
Description: Drum Sample Player Plugin
 avldrums.lv2 is a simple Drum Sample Player Plugin,
 dedicated to the http://www.bandshed.net/avldrumkits/
 .
 This package provides the LV2 plugin.

Package: avldrums.lv2-data
Architecture: all
Depends:
 ${misc:Depends},
Description: Drum Sample Player Plugin - data
 avldrums.lv2 is a simple Drum Sample Player Plugin,
 dedicated to the http://www.bandshed.net/avldrumkits/
 .
 This package provides soundfonts files.
