## avldrums.lv2 0.4.2~repack1

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 MANDIR ?= $(PREFIX)/share/man/man1
 # see http://lv2plug.in/pages/filesystem-hierarchy-standard.html, don't use libdir
 LV2DIR ?= $(PREFIX)/lib/lv2
+PKG_CONFIG ?= pkg-config
 
 OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 CFLAGS ?= -Wall -g -Wno-unused-function
@@ -54,7 +55,7 @@
   PUGL_SRC=$(RW)pugl/pugl_x11.c
   PKG_GL_LIBS=glu gl
   GLUILIBS=-lX11
-  GLUICFLAGS+=`pkg-config --cflags glu`
+  GLUICFLAGS+=`$(PKG_CONFIG) --cflags glu`
   STRIPFLAGS= -s
   EXTENDED_RE=-r
 endif
@@ -102,26 +103,26 @@
 
 ###############################################################################
 # check for build-dependencies
-ifeq ($(shell pkg-config --exists lv2 || echo no), no)
+ifeq ($(shell $(PKG_CONFIG) --exists lv2 || echo no), no)
   $(error "LV2 SDK was not found")
 endif
 
-ifeq ($(shell pkg-config --atleast-version=1.6.0 lv2 || echo no), no)
+ifeq ($(shell $(PKG_CONFIG) --atleast-version=1.6.0 lv2 || echo no), no)
   $(error "LV2 SDK needs to be version 1.6.0 or later")
 endif
 
-ifeq ($(shell pkg-config --exists glib-2.0 || echo no), no)
+ifeq ($(shell $(PKG_CONFIG) --exists glib-2.0 || echo no), no)
   $(error "glib-2.0 was not found.")
 endif
 
 ifneq ($(BUILDOPENGL), no)
- ifeq ($(shell pkg-config --exists pango cairo $(PKG_GL_LIBS) || echo no), no)
+ ifeq ($(shell $(PKG_CONFIG) --exists pango cairo $(PKG_GL_LIBS) || echo no), no)
   $(error "This plugin requires cairo pango $(PKG_GL_LIBS)")
  endif
 endif
 
 # check for lv2_atom_forge_object  new in 1.8.1 deprecates lv2_atom_forge_blank
-ifeq ($(shell pkg-config --atleast-version=1.8.1 lv2 && echo yes), yes)
+ifeq ($(shell $(PKG_CONFIG) --atleast-version=1.8.1 lv2 && echo yes), yes)
   override CFLAGS += -DHAVE_LV2_1_8
 endif
 
@@ -149,17 +150,17 @@
 
 # add library dependent flags and libs
 override CFLAGS += $(OPTIMIZATIONS) -DVERSION="\"$(avldrums_VERSION)\""
-override CFLAGS += `pkg-config --cflags lv2 glib-2.0`
+override CFLAGS += `$(PKG_CONFIG) --cflags lv2 glib-2.0`
 ifeq ($(XWIN),)
 override CFLAGS += -fPIC -fvisibility=hidden
 else
 override CFLAGS += -DPTW32_STATIC_LIB
 endif
-override LOADLIBES += `pkg-config $(PKG_UI_FLAGS) --libs glib-2.0`
-
-
-GLUICFLAGS+=`pkg-config --cflags cairo pango` $(CFLAGS)
-GLUILIBS+=`pkg-config $(PKG_UI_FLAGS) --libs cairo pango pangocairo $(PKG_GL_LIBS)`
+override LOADLIBES += `$(PKG_CONFIG) $(PKG_UI_FLAGS) --libs glib-2.0`
+
+
+GLUICFLAGS+=`$(PKG_CONFIG) --cflags cairo pango` $(CFLAGS)
+GLUILIBS+=`$(PKG_CONFIG) $(PKG_UI_FLAGS) --libs cairo pango pangocairo $(PKG_GL_LIBS)`
 
 ifneq ($(XWIN),)
 GLUILIBS+=-lpthread -lusp10
