=== debian/changelog ===
avldrums.lv2 (0.4.2~repack1-1) unstable; urgency=medium

  * New upstream version 0.4.2~repack1
    + Repack with current robtk submodule @ 52e7789
  * Update patchset, Drop cross patch, applied by upstream
  * Update d/copyright year
  * Mark avldrums.lv2-soundfont as M-A foreign

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 18 Jan 2021 22:25:14 +0100

avldrums.lv2 (0.4.1-2) unstable; urgency=medium

  * Team upload
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Dec 2020 17:26:34 +0100

avldrums.lv2 (0.4.1-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Initial release (Closes: #849786)

  [ Dennis Braun ]
  * Merge with ubuntu release 0.4.1-0ubuntu1
  * Rename avldrums.lv2-data to avldrums.lv2-soundfont
  * Install soundfonts to /usr/share/sounds/sf2/
  * Extend the package description
  * Use dh-compat instead of d/compat and bump to 13
  * Add me as uploader
  * Bump S-V to 4.5.0
  * Set Vcs-* to salsa
  * Set RRR: no
  * Set the Architecture for the avldrums.lv2 package to any
  * Set http>https in d/control & d/copyright
  * Update d/copyright year
  * Add myself to the d/ section in d/copyright
  * Add full CC-BY-SA-3.0 license to d/copyright
  * d/gbp.conf: Remove wrong compression
  * d/rules: Get upstream version with pkg-info.mk
  * Remove obsolete linker flags in d/rules
  * Fix cross building
  * Fix stripping
  * Add lintian-overrides
  * Add d/upstream/metadata

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 24 Oct 2020 20:20:19 +0200
