=== debian/control ===
Source: avldrums.lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Dennis Braun <d_braun@kabelmail.de>
Build-Depends:
 debhelper-compat (= 13),
 pkg-config,
 libftgl-dev,
 lv2-dev,
 libcairo2-dev,
 libpango1.0-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
Homepage: https://github.com/x42/avldrums.lv2
Rules-Requires-Root: no

Package: avldrums.lv2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 avldrums.lv2-soundfont (= ${source:Version})
Provides:
 lv2-plugin
Description: Drum Sample Player Plugin
 avldrums.lv2 is a drum sample player plugin dedicated to Glen MacArthur's
 AVLdrums. This self-contained plugin provides a convenient way to rapidly
 sequence and mix midi-drums.
 .
 AVLdrums comes as two separate drumkits: Black Pearl and Red Zeppelin.  There
 are 5 velocity layers for each of the 28 kits pieces or drum-zones for both
 kits.
 .
 This package provides the LV2 plugin.

Package: avldrums.lv2-soundfont
Architecture: all
Multi-Arch: foreign
Breaks: avldrums.lv2-data (<< 0.4.1-1)
Replaces: avldrums.lv2-data (<< 0.4.1-1)
Depends:
 ${misc:Depends},
Description: Drum Sample Player Plugin - Soundfonts
 avldrums.lv2 is a drum sample player plugin dedicated to Glen MacArthur's
 AVLdrums. This self-contained plugin provides a convenient way to rapidly
 sequence and mix midi-drums.
 .
 AVLdrums comes as two separate drumkits: Black Pearl and Red Zeppelin.  There
 are 5 velocity layers for each of the 28 kits pieces or drum-zones for both
 kits.
 .
 This package provides soundfonts files.
