=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/pkg-info.mk

export avldrums_VERSION = $(DEB_VERSION_UPSTREAM) | cut -d~ -f1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export OPTIMIZATIONS= -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
export PKG_CONFIG ?= pkg-config
export PREFIX=/usr

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/avldrums.lv2-soundfont/usr/lib/lv2/avldrums.lv2/
