=== debian/watch ===
version=4
opts=dversionmangle=s/~repack.*// \
https://github.com/x42/avldrums.lv2/releases .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
