## avldrums.lv2 0.5.0

=== debian/changelog ===
avldrums.lv2 (0.5.0-1) unstable; urgency=medium

  [ Sam Q ]
  * Fix error for searching upstream

  [ Dennis Braun ]
  * New upstream version 0.5.0
  * Bump Standards Version to 4.6.1
  * d/copyright: Remove superfluous-file-pattern robtk/pugl/pugl_osx.m
  * d/copyright: Bump my copyright year
  * Update lintian-overrides
  * Add salsa ci config

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 28 Aug 2022 23:56:02 +0200
