## avldrums.lv2 0.5.1

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 LV2DIR ?= $(PREFIX)/lib/lv2
 PKG_CONFIG ?= pkg-config
 
-OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 CFLAGS ?= -Wall -g -Wno-unused-function
 STRIP  ?= strip
 
@@ -19,6 +18,22 @@
 
 avldrums_VERSION?=$(shell git describe --tags HEAD 2>/dev/null | sed 's/-g.*$$//;s/^v//' || echo "LV2")
 RW ?= robtk/
+
+###############################################################################
+
+MACHINE=$(shell uname -m)
+ifneq (,$(findstring x64,$(MACHINE)))
+  HAVE_SSE=yes
+endif
+ifneq (,$(findstring 86,$(MACHINE)))
+  HAVE_SSE=yes
+endif
+
+ifeq ($(HAVE_SSE),yes)
+  OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse --fast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
+else
+  OPTIMIZATIONS ?= -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
+endif
 
 ###############################################################################
 
@@ -42,7 +57,7 @@
   LIB_EXT=.dylib
   EXE_EXT=
   UI_TYPE=ui:CocoaUI
-  PUGL_SRC=$(RW)pugl/pugl_osx.m
+  PUGL_SRC=$(RW)pugl/pugl_osx.mm
   PKG_GL_LIBS=
   GLUILIBS=-framework Cocoa -framework OpenGL -framework CoreFoundation
   STRIPFLAGS=-u -r -arch all -s $(RW)lv2syms
@@ -230,6 +245,7 @@
 endif
 
 $(BUILDDIR)%.sf2:
+	@mkdir -p $(BUILDDIR)
 	cp -v sf2/$(*F).sf2 $@
 
 FLUID_SRC = \
