=== debian/changelog ===
avldrums.lv2 (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Add missing submodule robtk to d/missing-sources
  * Update d/copyright: remove comment, sort entries
  * Refresh strip patch
  * Do not check for build dependencies, fix to build source package
  * Use execute_after_dh_auto_install instead of override_dh_auto_install

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 04 Nov 2022 23:03:18 +0100
