=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  lv2-dev,
  libcairo2-dev,
  libpango1.0-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
 Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
 Homepage: https://github.com/x42/avldrums.lv2
