=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 %:
 	dh $@
 
-override_dh_auto_install:
-	dh_auto_install
+execute_before_dh_auto_configure:
+	cp -fr debian/missing-sources/robtk .
+
+execute_after_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/avldrums.lv2-soundfont/usr/lib/lv2/avldrums.lv2/
