## avldrums.lv2 0.5.2

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 endif
 
 ifeq ($(HAVE_SSE),yes)
-  OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse --fast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
+  OPTIMIZATIONS ?= -msse -msse2 -mfpmath=sse -ffast-math -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 else
   OPTIMIZATIONS ?= -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 endif
