=== debian/changelog ===
avldrums.lv2 (0.5.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Defer stripping to dh_strip. (Closes: #1026424)

  [ Dennis Braun ]
  * Bump Standards-Version to 4.6.2
  * Update my email address

 -- Dennis Braun <snd@debian.org>  Fri, 06 Jan 2023 23:07:37 +0100

avldrums.lv2 (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * Update lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 25 Nov 2022 17:55:53 +0100
