=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
@@ -12,7 +12,7 @@
  lv2-dev,
  libcairo2-dev,
  libpango1.0-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
 Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
 Homepage: https://github.com/x42/avldrums.lv2
