=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 export OPTIMIZATIONS= -fomit-frame-pointer -O3 -fno-finite-math-only -DNDEBUG
 export PKG_CONFIG ?= pkg-config
 export PREFIX=/usr
+export STRIP = /bin/true
 
 %:
 	dh $@
