## avldrums.lv2 0.7.2

=== debian/changelog ===
avldrums.lv2 (0.7.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:39:35 +0000

avldrums.lv2 (0.7.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:52:13 +0000

avldrums.lv2 (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2

 -- Dennis Braun <snd@debian.org>  Mon, 18 Sep 2023 19:53:06 +0200

avldrums.lv2 (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Link the new Buskmans_Holiday_LV2.sf2
  * Clean modified files after build (Closes: #1043642)

 -- Dennis Braun <snd@debian.org>  Sun, 17 Sep 2023 17:47:28 +0200

avldrums.lv2 (0.6.1-2) unstable; urgency=medium

  * Create links for the new soundfonts (Closes: #1043325)
    + Thanks to Matthew Cope!

 -- Dennis Braun <snd@debian.org>  Fri, 11 Aug 2023 07:34:26 +0200

avldrums.lv2 (0.6.1-1) unstable; urgency=medium

  * New upstream version 0.6.1
  * Build with robtk from debian archive
  * Refresh patchset
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 08 Aug 2023 21:21:33 +0200
