=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: avldrums.lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Dennis Braun <snd@debian.org>
@@ -11,7 +12,8 @@
  libftgl-dev,
  lv2-dev,
  libcairo2-dev,
- libpango1.0-dev
+ libpango1.0-dev,
+ robtk
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
 Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
