=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@
 
 execute_before_dh_auto_configure:
-	cp -fr debian/missing-sources/robtk .
+	cp -fr /usr/share/robtk .
 
 execute_after_dh_auto_install:
 	mkdir -p $(CURDIR)/debian/avldrums.lv2-soundfont/usr/lib/lv2/avldrums.lv2/
