## avldrums.lv2 0.7.3

=== Makefile ===
--- 
+++ 
@@ -104,6 +104,9 @@
 
 targets+=$(BUILDDIR)Red_Zeppelin_4_LV2.sf2
 targets+=$(BUILDDIR)Black_Pearl_4_LV2.sf2
+targets+=$(BUILDDIR)Blonde_Bop_LV2.sf2
+targets+=$(BUILDDIR)Blonde_Bop_HR_LV2.sf2
+targets+=$(BUILDDIR)Buskmans_Holiday_LV2.sf2
 
 UITTL=
 ifneq ($(BUILDOPENGL), no)
@@ -139,6 +142,10 @@
 # check for lv2_atom_forge_object  new in 1.8.1 deprecates lv2_atom_forge_blank
 ifeq ($(shell $(PKG_CONFIG) --atleast-version=1.8.1 lv2 && echo yes), yes)
   override CFLAGS += -DHAVE_LV2_1_8
+endif
+
+ifeq ($(shell $(PKG_CONFIG) --atleast-version=1.18.6 lv2 && echo yes), yes)
+  override CFLAGS += -DHAVE_LV2_1_18_6
 endif
 
 ifneq ($(BUILDOPENGL), no)
@@ -231,6 +238,14 @@
 		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 	cat \
 		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Blonde Bop Drumkit/g;s/@VARIANT@/BlondeBop/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	cat \
+		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Blonde Bop HotRod Drumkit/g;s/@VARIANT@/BlondeBopHR/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	cat \
+		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Black Pearl Drumkit Multi/g;s/@VARIANT@/BlackPearlMulti/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
 		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 	sed "s/@LV2NAME@/$(LV2NAME)/g" \
@@ -239,12 +254,24 @@
 		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 	sed "s/@LV2NAME@/$(LV2NAME)/g" \
 		lv2ttl/$(LV2NAME).multi.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Blonde Bop Drumkit Multi/g;s/@VARIANT@/BlondeBopMulti/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g" \
+		lv2ttl/$(LV2NAME).multi.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Blonde Bop HotRod Drumkit Multi/g;s/@VARIANT@/BlondeBopHRMulti/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g" \
+		lv2ttl/$(LV2NAME).multi.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@NAME@/Buskman's Holiday Percussion/g;s/@VARIANT@/BuskmansHoliday/g;s/@SIGNATURE@/$(LV2SIGN)/;s/@VERSION@/lv2:microVersion $(LV2MIC) ;lv2:minorVersion $(LV2MIN) ;/g;s/@UITTL@/$(UITTL)/" \
+		lv2ttl/$(LV2NAME).ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
+	cat \
+		lv2ttl/$(LV2NAME).stereo.ttl.in >> $(BUILDDIR)$(LV2NAME).ttl
 ifneq ($(BUILDOPENGL), no)
 	sed "s/@LV2NAME@/$(LV2NAME)/g;s/@UI_TYPE@/$(UI_TYPE)/;s/@UI_REQ@/$(LV2UIREQ)/" \
 	    lv2ttl/$(LV2NAME).gui.in >> $(BUILDDIR)$(LV2NAME).ttl
 endif
 
-$(BUILDDIR)%.sf2:
+$(BUILDDIR)%.sf2: sf2/%.sf2
 	@mkdir -p $(BUILDDIR)
 	cp -v sf2/$(*F).sf2 $@
 
@@ -280,62 +307,12 @@
 
 CPPFLAGS += -Ifluidsynth -I fluidsynth/fluidsynth -DHAVE_CONFIG_H -D DEFAULT_SOUNDFONT=\"\"
 DSP_SRC  = src/$(LV2NAME).c $(FLUID_SRC)
-DSP_DEPS = $(DSP_SRC) src/$(LV2NAME).h src/midnam.h
-GUI_DEPS = gui/$(LV2NAME).c src/$(LV2NAME).h
+DSP_DEPS = $(DSP_SRC) src/$(LV2NAME).h
+GUI_DEPS = gui/$(LV2NAME).c src/$(LV2NAME).h gui/cairoblur.h \
+           gui/black_pearl.map.h gui/black_pearl.png.h \
+           gui/red_zeppelin.map.h gui/red_zeppelin.png.h \
+           gui/buskman.map.h gui/buskman.png.h \
+           gui/blonde_bop.map.h gui/blonde_bop_hr.png.h gui/blonde_bop.png.h
 
 $(BUILDDIR)$(LV2NAME)$(LIB_EXT): $(DSP_DEPS) Makefile
 	@mkdir -p $(BUILDDIR)
-	$(CC) $(CPPFLAGS) $(CFLAGS) $(LIC_CFLAGS) -std=gnu99 \
-	  -o $(BUILDDIR)$(LV2NAME)$(LIB_EXT) $(DSP_SRC) \
-	  -shared $(LV2LDFLAGS) $(LDFLAGS) $(LOADLIBES) $(LIC_LOADLIBES)
-	$(STRIP) $(STRIPFLAGS) $(BUILDDIR)$(LV2NAME)$(LIB_EXT)
-
-ifneq ($(BUILDOPENGL), no)
- -include $(RW)robtk.mk
-endif
-
-$(BUILDDIR)$(LV2GUI)$(LIB_EXT): gui/$(LV2NAME).c
-
-###############################################################################
-# install/uninstall/clean target definitions
-
-install: install-bin
-
-uninstall: uninstall-bin
-
-install-bin: all
-	install -d $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-	install -m644 $(BUILDDIR)manifest.ttl $(BUILDDIR)$(LV2NAME).ttl $(BUILDDIR)*.sf2 $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-	install -m755 $(BUILDDIR)$(LV2NAME)$(LIB_EXT) $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-ifneq ($(BUILDOPENGL), no)
-	install -m755 $(BUILDDIR)$(LV2GUI)$(LIB_EXT) $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-endif
-
-uninstall-bin:
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/manifest.ttl
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2NAME).ttl
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/*.sf2
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2NAME)$(LIB_EXT)
-	rm -f $(DESTDIR)$(LV2DIR)/$(BUNDLE)/$(LV2GUI)$(LIB_EXT)
-	-rmdir $(DESTDIR)$(LV2DIR)/$(BUNDLE)
-
-install-man:
-
-uninstall-man:
-
-clean:
-	rm -f $(BUILDDIR)manifest.ttl $(BUILDDIR)$(LV2NAME).ttl \
-	  $(BUILDDIR)$(LV2NAME)$(LIB_EXT) \
-	  $(BUILDDIR)$(LV2GUI)$(LIB_EXT) \
-	  $(BUILDDIR)*.sf2
-	rm -rf $(BUILDDIR)*.dSYM
-	rm -rf $(APPBLD)x42-*
-	-test -d $(APPBLD) && rmdir $(APPBLD) || true
-	-test -d $(BUILDDIR) && rmdir $(BUILDDIR) || true
-
-distclean: clean
-	rm -f cscope.out cscope.files tags
-
-.PHONY: clean all install uninstall distclean \
-        install-bin uninstall-bin \
-        submodule_check submodules submodule_update submodule_pull
