=== debian/changelog ===
avldrums.lv2 (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * Build with robtk 0.8.5
  * Bump Standards-Version to 4.7.0
  * Change B-D from pkg-config to pkgconf
  * Use the default ci config from salsa
  * Apply wrap-and-sort -ast
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Tue, 23 Jul 2024 13:59:33 +0200
