=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: avldrums.lv2
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Jaromír Mikeš <mira.mikes@seznam.cz>,
- Dennis Braun <snd@debian.org>
+ Dennis Braun <snd@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ libcairo2-dev,
  libftgl-dev,
+ libpango1.0-dev,
  lv2-dev,
- libcairo2-dev,
- libpango1.0-dev,
- robtk
-Standards-Version: 4.6.2
+ pkgconf,
+ robtk,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/multimedia-team/avldrums.lv2
 Vcs-Git: https://salsa.debian.org/multimedia-team/avldrums.lv2.git
 Homepage: https://github.com/x42/avldrums.lv2
@@ -23,11 +22,11 @@
 Package: avldrums.lv2
 Architecture: any
 Depends:
+ avldrums.lv2-soundfont (= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- avldrums.lv2-soundfont (= ${source:Version})
 Provides:
- lv2-plugin
+ lv2-plugin,
 Description: Drum Sample Player Plugin
  avldrums.lv2 is a drum sample player plugin dedicated to Glen MacArthur's
  AVLdrums. This self-contained plugin provides a convenient way to rapidly
@@ -42,8 +41,10 @@
 Package: avldrums.lv2-soundfont
 Architecture: all
 Multi-Arch: foreign
-Breaks: avldrums.lv2-data (<< 0.4.1-1)
-Replaces: avldrums.lv2-data (<< 0.4.1-1)
+Breaks:
+ avldrums.lv2-data (<< 0.4.1-1),
+Replaces:
+ avldrums.lv2-data (<< 0.4.1-1),
 Depends:
  ${misc:Depends},
 Description: Drum Sample Player Plugin - Soundfonts
