=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/avldrums.lv2-$1\.tar\.gz/ \
  https://github.com/x42/avldrums.lv2/tags .*/v?(\d\S+)\.tar\.gz
